/* Copyright (C) 2006 Andre Noll <maan@tuebingen.mpg.de>, see file COPYING. */

/** \file audiod.h Symbols exported from audiod.c. */


/** enum of audio formats supported by para_audiod */
enum {AUDIOD_AUDIO_FORMATS_ENUM};

/** array of audio format names supported by para_audiod */
extern const char *audio_formats[];

extern int audiod_status;

/* defined in audiod.c */
struct btr_node *audiod_get_btr_root(void);
__malloc char *audiod_get_decoder_flags(void);
void clear_and_dump_items(void);
char *get_time_string(void);
bool uid_is_whitelisted(uid_t uid);

/* defined in audiod_command.c */
void audiod_status_dump(bool force);
void close_stat_clients(void);
int dispatch_local_connection(int accept_fd);
void stat_client_write_item(int item_num);
