[option color]
	short_opt = C
	summary = activate color output
	typestr = when
	arg_info = required_arg
	arg_type = string
	values = {COLOR_YES = "yes", COLOR_NO = "no", COLOR_AUTO = "auto"}
	default_val = auto
[option log-color]
	summary = select a color for one type of log message
	typestr = color_spec
	arg_info = required_arg
	arg_type = string
	flag multiple
	[help]
		The format of <color_spec> is [<fg> [<bg>]] [<attr>].

		Valid colors for <fg> and <bg> are "normal", "black", "red", "green",
		"yellow", "blue", "magenta", "cyan", and "white".

		The <attr> value must be one of "bold", "dim", "ul", "blink",
		"reverse".

	Examples:

		--log-color "debug:green"
		--log-color "info:yellow bold"
		--log-color "notice:white red bold"
	[/help]
